org.apache.lucene.search.similarities

## Class Similarity.SimWeight

- java.lang.Object
- - org.apache.lucene.search.similarities.Similarity.SimWeight

- Direct Known Subclasses:
    BasicStats
  Enclosing class:
    Similarity

      public abstract static class Similarity.SimWeight
      extends Object

  Stores the weight for a query across the indexed collection. This abstract implementation is empty; descendants of `Similarity` should subclass `SimWeight` and define the statistics they require in the subclass. Examples include idf, average field length, etc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimWeight()` Sole constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimWeight

          public SimWeight()

      Sole constructor. (For invocation by subclass constructors, typically implicit.)

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.